Package org.pushingpixels.substance.internal.ui

# Class SubstancePopupMenuUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PopupMenuUI
javax.swing.plaf.basic.BasicPopupMenuUI
org.pushingpixels.substance.internal.ui.SubstancePopupMenuUI

public class SubstancePopupMenuUI extends BasicPopupMenuUI
UI for popup menus in Substance look and feel.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ContainerListener`
`substanceContainerListener`
Tracks changes to the popup menu and invalidates precomputed text offset.
`protected PopupMenuListener`
`substancePopupMenuListener`

### Fields inherited from class javax.swing.plaf.basic.BasicPopupMenuUI

`popupMenu`

## Constructor Summary

Constructors
Constructor
Description
`SubstancePopupMenuUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installListeners()`
`protected void`
`uninstallListeners()`

### Methods inherited from class javax.swing.plaf.basic.BasicPopupMenuUI

`installDefaults, installKeyboardActions, installUI, isPopupTrigger, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.PopupMenuUI

`getPopup`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substanceContainerListener

protected ContainerListener substanceContainerListener
Tracks changes to the popup menu and invalidates precomputed text offset.

### substancePopupMenuListener

protected PopupMenuListener substancePopupMenuListener

## Constructor Details

### SubstancePopupMenuUI

public SubstancePopupMenuUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `BasicPopupMenuUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `BasicPopupMenuUI`